Commit d8a29caf authored by Simon McVittie's avatar Simon McVittie

Rely on gnome-shell >= 3.21.92 having dropped version-checks by default (Closes: #837725)

  - Drop patch to metadata.json. It only declares compatibility with
    3.20, but that's OK because the version-check is disabled by
    default now.
  - Depends: gnome-shell (<< 3.23). This avoids using stretch versions
    of this extension with buster versions of GNOME Shell, since we
    can't predict whether it will be 100% compatible
parent c163fcda
gnome-shell-extension-caffeine (0~git20160329-3) unstable; urgency=medium
* Rely on gnome-shell >= 3.21.92 having dropped version-checks
by default (Closes: #837725)
- Drop patch to metadata.json. It only declares compatibility with
3.20, but that's OK because the version-check is disabled by
default now.
- Depends: gnome-shell (<< 3.23). This avoids using stretch versions
of this extension with buster versions of GNOME Shell, since we
can't predict whether it will be 100% compatible
-- Simon McVittie <smcv@debian.org> Wed, 14 Sep 2016 09:19:41 +0100
gnome-shell-extension-caffeine (0~git20160329-2) unstable; urgency=medium
* Declare compatibility with GNOME 3.21.91 (3.22 beta 1)
......
......@@ -14,7 +14,7 @@ Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gnome-shell-extension-
Package: gnome-shell-extension-caffeine
Architecture: all
Depends:
gnome-shell (<< 3.21.92),
gnome-shell (<< 3.23),
gnome-shell (>= 3.10),
${misc:Depends},
Recommends:
......
From: Simon McVittie <smcv@debian.org>
Date: Thu, 1 Sep 2016 11:00:08 +0100
Subject: Declare compatibility with 3.21.91
---
caffeine@patapon.info/metadata.json | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/caffeine@patapon.info/metadata.json b/caffeine@patapon.info/metadata.json
index da88781..180fbf5 100644
--- a/caffeine@patapon.info/metadata.json
+++ b/caffeine@patapon.info/metadata.json
@@ -1,5 +1,5 @@
{
-"shell-version": ["3.10", "3.11", "3.12", "3.13", "3.14", "3.16", "3.18", "3.20"],
+"shell-version": ["3.10", "3.11", "3.12", "3.13", "3.14", "3.16", "3.18", "3.20", "3.21.91"],
"uuid": "caffeine@patapon.info",
"name": "Caffeine",
"settings-schema": "org.gnome.shell.extensions.caffeine",
Declare-compatibility-with-3.21.91.patch
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment